summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorSamuel Martin Moro2016-10-19 13:29:27 +0200
committerSamuel Martin Moro2016-10-19 13:29:27 +0200
commitbf7c1adc577e39fae3f58fddf3e0c4fdd8c1cc29 (patch)
tree6393752f9a06964804b1e918e4ca8bd6389794ff
parent28edc855729a47a17bf379480e0d9be0a4137279 (diff)
downloadaur-bf7c1adc577e39fae3f58fddf3e0c4fdd8c1cc29.tar.gz
In reply to @nuteater: now checking sum from patch, based on a string
defined by this commit.
-rw-r--r--.SRCINFO3
-rw-r--r--PKGBUILD13
2 files changed, 11 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index dc29f7c9988..e1b65665b93 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,11 +1,12 @@
pkgbase = peerio-client
pkgdesc = Peerio Client
pkgver = 1.6.4
- pkgrel = 1
+ pkgrel = 2
url = https://www.peerio.com
arch = i686
arch = x86_64
license = GPL3
+ makedepends = coreutils
makedepends = curl
makedepends = fakeroot
makedepends = git
diff --git a/PKGBUILD b/PKGBUILD
index 3c670d6ccc3..fabf3791850 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,13 +1,13 @@
# Maintainer: Samuel Martin Moro <samuel@peerio.com>
pkgname=peerio-client
pkgver=1.6.4
-pkgrel=1
+pkgrel=2
pkgdesc="Peerio Client"
arch=('i686' 'x86_64')
url='https://peerio.com'
license=('GPL3')
depends=('alsa-lib' 'glibc' 'cairo' 'libdbus' 'fontconfig' 'gconf' 'gdk-pixbuf2' 'gtk3' 'libnotify' 'libxcomposite' 'libxcursor' 'libxdamage' 'libxfixes' 'libxi' 'libxrandr' 'libxrender' 'libxss' 'libxtst' 'nspr' 'nss' 'pango')
-makedepends=('curl' 'fakeroot' 'git' 'make' 'patch')
+makedepends=('curl' 'coreutils' 'fakeroot' 'git' 'make' 'patch')
options=('!strip')
#source=('http://linux.peerio.com/sources/${pkgname}-${pkgver}.tar.gz')
source=('http://linux.peerio.com/sources/peerio-client-1.6.4.tar.gz')
@@ -15,8 +15,13 @@ md5sums=('8d1a2fd3630613470cff0001e7fbf427')
build() {
cd "${srcdir}/${pkgname}"
curl http://linux.peerio.com/sources/07-build.patch >build.patch
- patch -p0 <build.patch && rm -f build.patch
- make client
+ if echo "cf041f3e07ae83a6965ccabed660f860 build.patch" | md5sum --check - --strict --quiet; then
+ patch -p0 <build.patch && rm -f build.patch
+ make client
+ else
+ echo "ERROR: patch's md5 sum differs from expected value" >&2
+ exit 1
+ fi
}
package() {
cd "${srcdir}/${pkgname}"